ESA(4)

NAME
esa - ESS Technology Allegro-1/Maestro-3 family audio device

SYNOPSIS
esa* at pci?
audio* at esa?

DESCRIPTION
The esa driver provides support for the ESS Allegro-1 and Maestro-3 audio devices on the PCI bus. These devices are popular in laptop systems.

The Allegro-1 and the Maestro-3 are full-duplex devices that allow independent playback and recording at sample rates between 8000Hz and 48000Hz and are capable of playback at 8 and 16 bit in mono and stereo.

SEE ALSO
ac97(4), audio(4), intro(4), maestro(4), pci(4)

HISTORY
The esa device driver appeared in OpenBSD 3.1.

AUTHORS
Jared D. McNeill <jmcneill@invisible.ca>

BUGS
Hardware volume control is not yet supported by this driver.